# Steps to check Isabelle proofs

1. Install [Isabelle2017](https://www.cl.cam.ac.uk/research/hvg/Isabelle/)

2. Download the [Archive of Formal Proofs](https://www.isa-afp.org/download.html) (AFP)

        $ wget https://www.isa-afp.org/release/afp-current.tar.gz
        $ tar zxvf afp-current.tar.gz

3. Install the AFP [as described](https://www.isa-afp.org/using.html)

        $ cd afp-2018-02-26 # this may differ
        $ echo "`pwd`/thys" >> ~/.isabelle/Isabelle2017/ROOTS`.

4. Check proofs and build documentation (this will take approximately 5 minutes)

        $ <path_to_isabelle_application>/Isabelle/bin/isabelle build -c -v -o browser_info -o document=pdf -D .

5. The documentation can be found in

  - `~/.isabelle/Isabelle2017/browser_info/Unsorted/Transactions_and_Weak_Memory`
  - `~/.isabelle/Isabelle2017/browser_info/Unsorted/Transactions_and_Weak_Memory/document.pdf`
