theory cpp_weakisol imports cpp begin
  
fun WeakIsol :: "witnessed_execution \<Rightarrow> bool"
  where "WeakIsol (X,rf,co) = acyclic (weaklift (com (X,rf,co), stxn X))"
  
theorem cpp_weakisol: 
  fixes sw
  assumes "HbCom sw (X,rf,co)"
  shows "WeakIsol (X,rf,co)"
proof -
  from assms have "acyclic (hb sw (X,rf,co) O (com (X,rf,co))^*)" by simp
  hence "acyclic (hb sw (X,rf,co))" by (rule acyclic_subset, auto) 
  hence "acyclic (sw (X,rf,co) \<union> tsw (X,rf,co) \<union> po X)"
    by (simp add: acyclic_def) 
  hence "acyclic (weaklift (com(X,rf,co), stxn X))"
    by (rule acyclic_subset, auto)
  thus "WeakIsol (X,rf,co)" by auto
qed
  
end